package org.dromara.mp;

import cn.hutool.crypto.SecureUtil;
import org.apache.dubbo.config.spring.context.annotation.EnableDubbo;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.boot.context.metrics.buffering.BufferingApplicationStartup;

/**
 * @author sunzexing
 * @version 1.0
 * @title RuoYiMpApplication
 * @description
 * @create 2024-03-28 14:27
 */
@EnableDubbo
@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class})
public class RuoYiMpApplication {

    public static void main(String[] args) {

        SpringApplication application = new SpringApplication(RuoYiMpApplication.class);
        application.setApplicationStartup(new BufferingApplicationStartup(2048));
        SecureUtil.disableBouncyCastle();
        application.run(args);
        System.out.println("(♥◠‿◠)ﾉﾞ  公众号模块启动成功   ლ(´ڡ`ლ)ﾞ  ");

    }

}
